import { jsx } from "react/jsx-runtime";
import { TokenZPAY as TokenZPAY$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenZPAY = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "ZPAY", "data-name": "TokenZPAY", ...props, children: /* @__PURE__ */ jsx(TokenZPAY$1, { variant }) });
  }
);
TokenZPAY.displayName = "TokenZPAY";
Object.assign(TokenZPAY, { isGdsIcon: true });
export {
  TokenZPAY
};
